/**********************************************************
 this liblary defines some common types of data     v1.0
 written by adept_zap with help of JimVonMud
 **********************************************************/

#ifndef ZTYPES_H
#define ZTYPES_H

#define ZTYPES_VER  1.0                                     //file version

/**********************************************************
 integer types for 32-bit machines, change this if you use
 other machine type
 **********************************************************/

/*-- unsigned interger types                            --*/

#define zuint8  unsigned char                               //8-bit long, base type
#define zuint16 unsigned short      int                     //16-bit long, base type
#define zuint32 unsigned long       int                     //32-bit long, base type
#define zuint64 unsigned long  long int                     //64-bit long, base type

/*-- signed integer types                               --*/

#define zint8   signed   char                               //8-bit long, base type
#define zint16  signed   short      int                     //16-bit long, base type
#define zint32  signed   long       int                     //32-bit long, base type
#define zint64  signed   long  long int                     //64-bit long, base type

/*-- additional definitions                             --*/

#define zbyte   zuint8                                      //8-bit long, byte
#define zword   zuint16                                     //16-bit long, word
#define zdword  zuint32                                     //32-bit long, double word
#define zqword  zuint64                                     //64-bit long, quatro word
#define zchar   char                                        //8-bit long, char
#define zint    int                                         //??-bit integer
/**********************************************************
 common float types for 32-bit machines
 **********************************************************/

#define zfloat  float
#define zdouble double

/**********************************************************
 pointer types
 **********************************************************/

/*-- void type                                          --*/

#define zvoid   void

/*-- common pointer types                               --*/

#define pzvoid  zvoid *
#define pzchar  zchar *
#define pzbyte  zbyte *
#define pzfloat zfloat *

#endif                                                      //end of ZTYPES_H

